<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/firearms/weapon_base.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dbc/a09265_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">weapon_base.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dbc/a09265.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * WeaponFSM.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/dd4/a04894.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d8/dd4/a04894.html">Weapon_Base</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{<span class="comment"></span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">    //! Return -1 on unknown state</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d8/dd4/a04894.html#a25237554229a3359715eb5b4fd59598c">   16</a></span><span class="comment"></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/dd4/a04894.html#a25237554229a3359715eb5b4fd59598c">ExpansionGetMagAttachedFSMStateID</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">        //! https://feedback.bistudio.com/T149240</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment"></span><span class="comment"></span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">        //! BU0 = no bullet</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">        //! BU1 = bullet in chamber</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">        //! BUF = fired out bullet cartridge in chamber</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">        //! MA0 = no magazine present</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">        //! MA1 = magazine present</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment"></span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordtype">int</span> stateId = -1;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordtype">int</span> mi = GetCurrentMuzzle();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> ( IsInherited( SKS_Base ) )</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( BoltActionRifle_InnerMagazine_Base ) )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">            //! E.g. Mosin, Winchester 70</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment"></span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( DoubleBarrel_Base ) )</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( Magnum_Base ) )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="comment">//stateId = MagnumStableStateID.DEFAULT;</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( Pistol_Base ) )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">if</span> ( IsChamberEmpty( mi ) )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                stateId = PistolStableStateID.CLO_DIS_BU0_MA1;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsChamberJammed( mi ) )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                stateId = PistolStableStateID.CLO_JAM_BU1_MA1;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                stateId = PistolStableStateID.CLO_CHG_BU1_MA1;<span class="comment"></span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment">        //! DayZ 1.16 or above</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment"></span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( BoltActionRifle_ExternalMagazine_Base ) )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">            //! E.g. CZ527, Scout</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment"></span>            <span class="keywordflow">if</span> ( IsChamberEmpty( mi ) )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                stateId = BAREMStableStateID.BAREM_CLO_BU0_MA1;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsChamberJammed( mi ) )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                stateId = BAREMStableStateID.BAREM_JAM_BU1_MA1;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsChamberFiredOut( mi ) )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                stateId = BAREMStableStateID.BAREM_CLO_BUF_MA1;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                stateId = BAREMStableStateID.BAREM_CLO_BU1_MA1;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( Repeater_Base ) )</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( RifleBoltFree_Base ) )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span><span class="comment">            //! E.g. AKM, Sporter 22, Saiga, MP5, VSS</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="comment"></span>            <span class="keywordflow">if</span> ( IsChamberEmpty( mi ) )</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                stateId = RBFStableStateID.RBF_CLO_BU0_MA1;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsChamberJammed( mi ) )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                stateId = RBFStableStateID.RBF_JAM_BU1_MA1;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                stateId = RBFStableStateID.RBF_CLO_BU1_MA1;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( RifleBoltLock_Base ) )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="comment">            //! E.g. FAL, M4A1, SVD, CZ61, UMP-45</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment"></span>            <span class="keywordflow">if</span> ( IsChamberEmpty( mi ) )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                stateId = RBLStableStateID.RBL_CLO_BU0_MA1;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsChamberJammed( mi ) )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                stateId = RBLStableStateID.RBL_JAM_BU1_MA1;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                stateId = RBLStableStateID.RBL_CLO_BU1_MA1;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( RifleSingleShot_Base ) )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="comment">            //! e.g. Izh-18</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment"></span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( IsInherited( Mp133Shotgun_Base ) )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> stateId;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d8/dd4/a04894.html#a11fe0f2f0f63f5487e5446525cdec53a">   90</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd4/a04894.html#a11fe0f2f0f63f5487e5446525cdec53a">Expansion_IsChambered</a>()</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordtype">int</span> mi = GetCurrentMuzzle();</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> !IsChamberEmpty(mi) &amp;&amp; !IsChamberFiredOut(mi);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d8/dd4/a04894.html#a7fee48bede708d806c31b8b4e48253e7">   96</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/dd4/a04894.html#a7fee48bede708d806c31b8b4e48253e7">Expansion_HasAmmo</a>(out Magazine mag = null)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        mag = null;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordtype">int</span> mi = GetCurrentMuzzle();</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">if</span> (!IsChamberEmpty(mi) &amp;&amp; !IsChamberFiredOut(mi))</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span> (HasInternalMagazine(mi) &amp;&amp; GetInternalMagazineCartridgeCount(mi))</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        mag = GetMagazine(mi);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (mag &amp;&amp; mag.GetAmmoCount())</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>}</div>
<div class="ttc" id="aa04894_html"><div class="ttname"><a href="../../d8/dd4/a04894.html">Weapon_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbc/a09265_source.html#l00013">weapon_base.c:14</a></div></div>
<div class="ttc" id="aa04894_html_a11fe0f2f0f63f5487e5446525cdec53a"><div class="ttname"><a href="../../d8/dd4/a04894.html#a11fe0f2f0f63f5487e5446525cdec53a">Weapon_Base::Expansion_IsChambered</a></div><div class="ttdeci">bool Expansion_IsChambered()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbc/a09265_source.html#l00090">weapon_base.c:90</a></div></div>
<div class="ttc" id="aa04894_html_a25237554229a3359715eb5b4fd59598c"><div class="ttname"><a href="../../d8/dd4/a04894.html#a25237554229a3359715eb5b4fd59598c">Weapon_Base::ExpansionGetMagAttachedFSMStateID</a></div><div class="ttdeci">int ExpansionGetMagAttachedFSMStateID()</div><div class="ttdoc">Return -1 on unknown state.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbc/a09265_source.html#l00016">weapon_base.c:16</a></div></div>
<div class="ttc" id="aa04894_html_a7fee48bede708d806c31b8b4e48253e7"><div class="ttname"><a href="../../d8/dd4/a04894.html#a7fee48bede708d806c31b8b4e48253e7">Weapon_Base::Expansion_HasAmmo</a></div><div class="ttdeci">bool Expansion_HasAmmo(out Magazine mag=null)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dbc/a09265_source.html#l00096">weapon_base.c:96</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_e2c1a5451a44a8d1eb29e97861f13030.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_972f61a695f51d4f527fa8c6b7b79864.html">firearms</a></li><li class="navelem"><a class="el" href="../../d5/dbc/a09265.html">weapon_base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
